View Issue Details

IDProjectCategoryView StatusLast Update
0021656mantisbtcustomizationpublic2016-10-02 18:41
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.1 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021656: set_status_threshold config is not deleted if is same as parent
Description

As a regression from 0021581
In workflow config page, when report_bug_threshold is a complex threshold, the input is not editable, but on saving the form, if the other thresholds (which are stored in set_status_threshold) equals the parent configuration, this option is not deleted (it should be)

Additionally, in that case, report_bug_threshold is colored as overriden, but the option for "delete project specific settings" is not available

TagsNo tags attached.

Relationships

related to 0021581 closedcproensa Workflow config page can corrupt report_bug_threshold if it's defined as an array 

Related Changesets

MantisBT: master-1.3.x 6e0801d3

2016-08-30 19:19:19

cproensa


Committer: dregad Details Diff
Dont break complex threshold in workflow config page

The configuration option "set_status_threshold" may contain complex
thresholds defined as arrays instead of integer values.
In this case, on manage_config_workflow_page, show those fields as not
editable.

Fixes: 0021655, 0021656
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2016-08-30 20:26 cproensa New Issue
2016-08-30 20:26 cproensa Relationship added related to 0021581
2016-08-30 20:26 cproensa Assigned To => cproensa
2016-08-30 20:26 cproensa Status new => assigned
2016-08-30 20:28 cproensa Note Added: 0053914
2016-08-31 04:13 cproensa Description Updated View Revisions
2016-09-09 02:53 dregad Changeset attached => MantisBT master-1.3.x 6e0801d3
2016-09-09 02:53 dregad Assigned To cproensa => dregad
2016-09-09 02:53 dregad Status assigned => resolved
2016-09-09 02:53 dregad Resolution open => fixed
2016-09-09 02:53 dregad Fixed in Version => 1.3.2
2016-09-09 03:50 dregad Assigned To dregad => cproensa
2016-09-09 03:50 dregad Target Version => 1.3.2
2016-10-02 18:41 vboctor Status resolved => closed